Subject: [Bitcoin-development] Reconsider build system change?

From: John Smith <[email-masked]>
Date: Sat, 2 Jul 2011 07:29:04 +0000

Hello,

Why again did we choose for autotools as future build system instead of
cmake?

- CMake generates native build scripts for Make (all platforms), XCode,
Visual Studio. Autoconf only does Make.

- CMake has a clearer syntax, m4/autotools is very convoluted

- CMake is very fast

- CMake is supported natively in Qt Creator in the QT SDK, and is used by
many other KDE/QT as well as other open source applications. Many people
discourage the use of autotools for new projects.

A CMake build system for bitcoin is already integrated into rpcminer,
available here:

http://luke.dashjr.org/programs/bitcoin/w/puddinpop-bitcoin-pool.git/tree

JS